Bug Hunting Session
Bug 37930 - Crash when clicking the button to choose a document file in hyperlink dialog
Summary: Crash when clicking the button to choose a document file in hyperlink dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All Windows (All)
: medium critical
Assignee: Don't use this account, use tml@iki.fi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 12:52 UTC by Jean-Baptiste Faure
Modified: 2011-10-29 07:38 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2011-06-04 12:52:24 UTC
OS: MS-Windows *Vista and Seven* only
Affected modules: Writer, Calc, Impress

Steps to reproduce in Writer:
- create a new text document
- clic the button hyperlink ou choose menu Insert > Hyperlink
- in the left part of the dialog which appears choose "Document"
- on the right of the path text-field click on the button "Open file"
==> Crash

The crash does not occur in the following cases:
- use of LibreOffice Open/Save dialogs (Tools > Options > LibreOffice > General)
- MS-Windows XP
- no problem on Linux

Best regards. JBF
Comment 1 Petr Mladek 2011-06-06 03:08:24 UTC
Tor, could you please have a look?
Comment 2 Don't use this account, use tml@iki.fi 2011-06-06 04:05:38 UTC
Can confirm. Will debug.
Comment 3 Don't use this account, use tml@iki.fi 2011-06-06 05:52:29 UTC
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=6f9702f7c2e2df38f18b8d69bd3ea6e957a2202c seems to help. Committed to master, review pending for 3-4 branch.
Comment 4 Rainer Bielefeld Retired 2011-06-10 02:57:21 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.